Package com.google.android.exoplayer2.metadata.mp4

## Class SlowMotionData

- java.lang.Object
- - com.google.android.exoplayer2.metadata.mp4.SlowMotionData

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class SlowMotionData
      extends Object
      implements Metadata.Entry

  Holds information about the segments of slow motion playback within a track.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SlowMotionData.Segment` | Holds information about a single segment of slow motion playback within a track.

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<SlowMotionData>` | `CREATOR` |
    `List<SlowMotionData.Segment>` | `segments` |

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SlowMotionData​(List<SlowMotionData.Segment> segments)` | Creates an instance with a list of `SlowMotionData.Segment`s.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `String` | `toString()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat, populateMediaMetadata`

- - ### Field Detail

    - #### segments

          public final List<SlowMotionData.Segment> segments

    - #### CREATOR

          public static final Parcelable.Creator<SlowMotionData> CREATOR

  - ### Constructor Detail

    - #### SlowMotionData

          public SlowMotionData​(List<SlowMotionData.Segment> segments)

      Creates an instance with a list of `SlowMotionData.Segment`s.

      The segments must not overlap, that is that the start time of a segment can not be between the start and end time of another segment.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `Parcelable`